
          <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
            <!-- Search for small screen-->
            <div class="container">
              <div class="row">
                <div class="col s12 m6 l6">
                  <h5 class="breadcrumbs-title mt-0 mb-0"><span>réservations</span></h5>
                </div>
                <div class="col s12 m6 l6 right-align-md">
                  <ol class="breadcrumbs mb-0">
                    <li class="breadcrumb-item"><a [routerLink]="['/DashbordReservation']">Acceuil</a>
                    </li>
                    <li class="breadcrumb-item">Réservations
                    </li>
                    <li class="breadcrumb-item active">Liste des réservations
                    </li>
                  </ol>
                </div>
              </div>
            </div>
          </div>
          
              <div class="section section-data-tables">


      <!-- Page Length Options -->
      <div class="row">
      <div class="col s12">
        <div class="card">
          <div class="card-content">
              <a class=" modal-trigger" href="#modal1" (click)="initi()">
                  <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Réserver
                    <i class="material-icons right">add</i>
                  </button>
                  </a>
                  <h4 class="card-title">Liste des réservations</h4>

                  <br/>
            <div class="row">
              <div class="col s12">
                <table id="page-length-option" class="display">
                  <thead>
                    <tr>
                      <th>Immatricule</th>
                      <th>Client</th>
                      <th>Date de réservation</th>
                      <th>Periode de </th>
                      <th>Heure</th>
                      <th>Periode à</th>
                      <th>Heure</th>
                      <th>Action</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr *ngFor="let r of reservations; index as i;">
                      <td>{{r.voitureImmatricule}}</td>
                      <td>
                        <div *ngFor="let cl of clients">
                          <div *ngIf="r.ClientId === cl.id">
                            {{cl.nom}}  {{cl.prenom}}
                          </div>
                        </div>
      
                      </td>
                      <td>{{r.dateReservation}}</td>
                      <td>{{r.Periodede}}</td>
                      <td>{{r.heurePeriodede}}:{{r.minutePeriodede}}</td>
                      <td>{{r.Periodea}}</td>
                      <td>{{r.heurePeriodea}}:{{r.minutePeriodea}}</td>
                      <td> <a class='dropdown-trigger' href='#' [attr.data-target]="'dropdown' + i">
                          <i class="material-icons">arrow_drop_down</i>
                        </a>
                        <ul id='dropdown{{i}}' class='dropdown-content' >
                        <li><a  class="modal-trigger" href="#modal2" (click)="getOne(r.id)">Modifier</a></li>
                        <li><a class="modal-trigger" (click)="delete(r.id)" >Supprimper</a></li>
                        </ul></td>
                    
                    
                    </tr>
                  
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
      </div>


      <div id="modal1" class="modal" style="width: 60%;" >
                      <form #f="ngForm" (ngSubmit)="save(f.value)">
                      <div class="modal-content" style="margin-left:30px; margin-right:30px;">
                      <h5>Ajouter réservation</h5>
                      <div class="card-alert card gradient-45deg-amber-amber"  *ngIf="f.submitted && IsFormNonValid ">
                        <div class="card-content white-text">
                          <p>
                            <i class="material-icons">warning</i> voiture réserve dans cette période</p>
                        </div>
                        <button type="button" class="close white-text" data-dismiss="alert" aria-label="Close">
                          <span aria-hidden="true">×</span>
                        </button>
                      </div>
                      <div class="row">
                      <div class="input-field col m6 s12">
                        <label for="nbrpersonne" class="active">Immatricule</label>
                      <select  searchable='Liste de Voiture' id="xxxx"  name="voitureImmatricule" #voitureImmatriculet="ngModel" [(ngModel)]="reservation.voitureImmatricule" required>
                        <option *ngFor="let v of voitures" [value]="v.immatricule">
                          {{v.immatricule}}
                        </option>
                    </select>
                      </div>
                      <div class="input-field col m6 s12">
                        
                        <label for="nbrpersonne" class="active">Client</label>
                        <select  searchable='Liste de Client' id="xxxx"  name="client" #client="ngModel" [(ngModel)]="reservation.client" required >
                          <option *ngFor="let c of clients" [value]="c.id">
                            {{c.nom}} {{c.prenom}} || {{c.cin}}
                           </option>
                      </select>
                          
                      </div>
                      
                      </div>

              <div class="row">
              <div class="input-field col m12 s12">
                <input type="date" class="validate" name="dateReservation" #dateReservation="ngModel" [(ngModel)]="reservation.dateReservation" required >
                <label for="nbrpersonne">Date de Reservation</label>
                <small  class="errorTxt1" *ngIf="dateReservation.touched  &&  dateReservation.invalid" ><div id="uname-error" class="error">saisir votre date Reservation</div></small>

              </div>
              </div>

              <div class="row">
                <div class="input-field col m6 s12">
                  <input type="date" class="validate" name="Periodede" #Periodede="ngModel" [(ngModel)]="reservation.Periodede" required>
                  <label for="nbrpersonne">Periode de </label>
                  <small  class="errorTxt1" *ngIf="Periodede.touched  &&  Periodede.invalid" ><div id="uname-error" class="error">saisir votre date Periode de reservation</div></small>

                </div>
                <div class="input-field col m3 s12">
                  <select class="browser-default" name="heurePeriodede" #heurePeriodede="ngModel" [(ngModel)]="reservation.heurePeriodede" required>
                    <option value="" disabled selected>Heures</option>
                    <option>01</option>
                    <option>02</option>
                    <option>03</option>
                    <option>04</option>
                    <option>05</option>
                    <option>06</option>
                    <option>07</option>
                    <option>08</option>
                    <option>09</option>
                    <option>10</option>
                    <option>11</option>
                    <option>12</option>
                    <option>13</option>
                    <option>14</option>
                    <option>15</option>
                    <option>16</option>
                    <option>17</option>
                    <option>18</option>
                    <option>19</option>
                    <option>20</option>
                    <option>21</option>
                    <option>22</option>
                    <option>23</option>
                  </select>
            </div>
            <div class="input-field col m3 s12">
              <select class="browser-default" name="minutePeriodede" #minutePeriodede="ngModel" [(ngModel)]="reservation.minutePeriodede" required>
                  <option value="" disabled selected>Minutes</option>
                  <option>00</option>
                  <option>10</option>
                  <option>20</option>
                  <option>30</option>
                  <option>40</option>
                  <option>50</option>
                </select>
                </div>
              </div>
                <div class="row">
                <div class="input-field col m6 s12">
                  <input type="date" class="validate" name="Periodea" #Periodea="ngModel" [(ngModel)]="reservation.Periodea" required >
                  <label for="nbrpersonne">Periode a</label>
                  <small  class="errorTxt1" *ngIf="Periodea.touched  &&  Periodea.invalid" ><div id="uname-error" class="error">saisir votre date Periode a reservation</div></small>

                </div>
                <div class="input-field col m3 s12">
                  <select class="browser-default" name="heurePeriodea" #heurePeriodea="ngModel" [(ngModel)]="reservation.heurePeriodea" required>
                    <option value="" disabled selected>Heures</option>
                    <option>01</option>
                    <option>02</option>
                    <option>03</option>
                    <option>04</option>
                    <option>05</option>
                    <option>06</option>
                    <option>07</option>
                    <option>08</option>
                    <option>09</option>
                    <option>10</option>
                    <option>11</option>
                    <option>12</option>
                    <option>13</option>
                    <option>14</option>
                    <option>15</option>
                    <option>16</option>
                    <option>17</option>
                    <option>18</option>
                    <option>19</option>
                    <option>20</option>
                    <option>21</option>
                    <option>22</option>
                    <option>23</option>
                  </select>
            </div>
            <div class="input-field col m3 s12">
              <select class="browser-default" name="minutePeriodea" #minutePeriodea="ngModel" [(ngModel)]="reservation.minutePeriodea" required>
                  <option value="" disabled selected>Minutes</option>
                  <option>00</option>
                  <option>10</option>
                  <option>20</option>
                  <option>30</option>
                  <option>40</option>
                  <option>50</option>
                </select>
                </div>
              
              </div>
            
      
      

                    <div class="modal-footer">
                        <button class="btn cyan waves-effect waves-light right" type="submit" [disabled]="f.invalid" name="action">Ajouter
                            <i class="material-icons right">send</i>
                          </button>
                      </div>
                    



      </div>

      </form>
      </div>



      <div id="modal2" class="modal" style="width: 60%;" >
        <form #fu="ngForm" (ngSubmit)="update(fu.value)">
        <div class="modal-content" style="margin-left:30px; margin-right:30px;">
        <h5>Modifier réservation</h5>

       

<div class="row">
<div class="input-field col m12 s12">
  <input type="date" name="dateReservation" #dateReservation="ngModel" [(ngModel)]="reservation.dateReservation" required >
  <label for="nbrpersonne">Date de Reservation</label>
</div>
</div>

<div class="row">
  <div class="input-field col m6 s12">
    <input type="date" name="Periodede" #Periodede="ngModel" [(ngModel)]="reservation.Periodede" required>
    <label for="nbrpersonne">Periode de </label>
  </div>
  <div class="input-field col m3 s12">
    <select class="browser-default" name="heurePeriodede" #heurePeriodede="ngModel" [(ngModel)]="reservation.heurePeriodede" required>
      <option value="" disabled selected>Heures</option>
      <option>01</option>
      <option>02</option>
      <option>03</option>
      <option>04</option>
      <option>05</option>
      <option>06</option>
      <option>07</option>
      <option>08</option>
      <option>09</option>
      <option>10</option>
      <option>11</option>
      <option>12</option>
      <option>13</option>
      <option>14</option>
      <option>15</option>
      <option>16</option>
      <option>17</option>
      <option>18</option>
      <option>19</option>
      <option>20</option>
      <option>21</option>
      <option>22</option>
      <option>23</option>
    </select>
</div>
<div class="input-field col m3 s12">
<select class="browser-default" name="minutePeriodede" #minutePeriodede="ngModel" [(ngModel)]="reservation.minutePeriodede" required>
    <option value="" disabled selected>Minutes</option>
    <option>00</option>
    <option>10</option>
    <option>20</option>
    <option>30</option>
    <option>40</option>
    <option>50</option>
  </select>
  </div>
</div>
  <div class="row">
  <div class="input-field col m6 s12">
    <input type="date" name="Periodea" #Periodea="ngModel" [(ngModel)]="reservation.Periodea" required >
    <label for="nbrpersonne">Periode a</label>
  </div>
  <div class="input-field col m3 s12">
    <select class="browser-default" name="heurePeriodea" #heurePeriodea="ngModel" [(ngModel)]="reservation.heurePeriodea" required>
      <option value="" disabled selected>Heures</option>
      <option>01</option>
      <option>02</option>
      <option>03</option>
      <option>04</option>
      <option>05</option>
      <option>06</option>
      <option>07</option>
      <option>08</option>
      <option>09</option>
      <option>10</option>
      <option>11</option>
      <option>12</option>
      <option>13</option>
      <option>14</option>
      <option>15</option>
      <option>16</option>
      <option>17</option>
      <option>18</option>
      <option>19</option>
      <option>20</option>
      <option>21</option>
      <option>22</option>
      <option>23</option>
    </select>
</div>
<div class="input-field col m3 s12">
<select class="browser-default" name="minutePeriodea" #minutePeriodea="ngModel" [(ngModel)]="reservation.minutePeriodea" required>
    <option value="" disabled selected>Minutes</option>
    <option>00</option>
    <option>10</option>
    <option>20</option>
    <option>30</option>
    <option>40</option>
    <option>50</option>
  </select>
  </div>

</div>




      <div class="modal-footer">
          <button class="btn cyan waves-effect waves-light right" type="submit" name="action">modifier
              <i class="material-icons right">send</i>
            </button>
        </div>
      



</div>

</form>
</div>
     
        
      </div><!-- START RIGHT SIDEBAR NAV -->

